Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.sdk.editor.datamodel
Class DMService

`java.lang.Object
oracle.rules.sdk.editor.datamodel.DMService`

public class DMService
extends java.lang.Object

Utility class: it converts a data model in editor into persistent format and read a persistent format back to editor data model. It also provides APIs add user path into rules SDK classloader and load a java class into the datamodel.

Field Summary
`static java.lang.String` | `FALSE`
`static java.lang.String` | `TRUE`

Constructor Summary
`DMService()`

Method Summary
`static JavaFactType` | `addJavaClass(DataModel dm, java.lang.String fqn)` Add a java class available for SDK classloader to data model.
`static java.util.List` | `addJavaClasses(DataModel dm, java.util.List fqns)` Add a list of java classes available for SDK classloader to data model.
`static void` | `addUserPath(java.lang.String userpath)` Add a user class path to SDK class loader
`static void` | `addUserPath(java.net.URL userpathUrl)` Add a user class path to SDK class loader
`static java.util.List` | `getPaths()` Get all user class paths from SDK class loader including the jre runtime lib (rt.jar)
`static java.util.List` | `getUserPaths()` Get all user class paths from SDK class loader
`static boolean` | `removeUserPath(java.net.URL path)` Remove a user class path from SDK class loader
`static void` | `resetUserPath()` Remove all user class paths from SDK class loader

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TRUE

    public static final java.lang.String TRUE

  See Also:
    Constant Field Values

### FALSE

    public static final java.lang.String FALSE

  See Also:
    Constant Field Values

Constructor Detail

### DMService

    public DMService()

Method Detail

### addUserPath

    public static void addUserPath(java.lang.String userpath)
                            throws OracleRulesException

  Add a user class path to SDK class loader
  Parameters:
    `userpath` - the java class path that could be either a zip(jar) file or an expanded directory
  Throws:
    `thrown` - if the userpath is not valid.
    `OracleRulesException`

### addUserPath

    public static void addUserPath(java.net.URL userpathUrl)
                            throws OracleRulesException

  Add a user class path to SDK class loader
  Parameters:
    `userpathUrl` - the java class path in URL format that could be either a zip(jar) file or an expanded directory
  Throws:
    `thrown` - if the userpath is not valid.
    `OracleRulesException`

### removeUserPath

    public static boolean removeUserPath(java.net.URL path)

  Remove a user class path from SDK class loader
  Parameters:
    `path` - the java class path in URL format that could be either a zip(jar) file or an expanded directory
  Returns:
    true if the remove action is successful

### resetUserPath

    public static void resetUserPath()

  Remove all user class paths from SDK class loader

### getPaths

    public static java.util.List getPaths()

  Get all user class paths from SDK class loader including the jre runtime lib (rt.jar)
  Returns:
    all user class paths including rt.jar

### getUserPaths

    public static java.util.List getUserPaths()

  Get all user class paths from SDK class loader
  Returns:
    all user class path

### addJavaClass

    public static JavaFactType addJavaClass(DataModel dm,
                                            java.lang.String fqn)
                                     throws RulesSDKException

  Add a java class available for SDK classloader to data model.
  Parameters:
    `dm` - the datamodel to hold the new java fact type.
    `fqn` - the fully qualified names for the java class
  Returns:
    the FactType newly added
  Throws:
    `RulesSDKException`

### addJavaClasses

    public static java.util.List addJavaClasses(DataModel dm,
                                                java.util.List fqns)
                                         throws RulesSDKException

  Add a list of java classes available for SDK classloader to data model.
  Parameters:
    `dm` - the datamodel to hold new java fact types.
    `fqns` - a list of fully qualified names for java classes
  Returns:
    the list of FactTypes newly added
  Throws:
    `RulesSDKException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.